getCustomerContacts
READGet customer contacts.
POST /api/v1/sales/getCustomerContacts
curl -X POST '<your-host>/api/v1/sales/getCustomerContacts' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"customerId": "string"
}'Response
{
"results": [
{
"companyId": "string",
"contactId": "string",
"customerId": "string",
"customerLocationId": "string",
"customFields": "…",
"id": "string",
"tags": [
"string"
],
"userId": "string",
"contact": {
"id": "string",
"fullName": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"mobilePhone": "string",
"homePhone": "string",
"workPhone": "string",
"fax": "string",
"title": "string",
"notes": "string"
},
"user": {
"id": "string",
"active": true
}
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"customerId": {
"type": "string"
}
},
"required": [
"customerId"
]
}